Subject: Re: [Sip] Are we done with draft-ietf-sip-target-dialog-02.txt andready to request publication?

From: "Dale R. Worley" <[email-masked]>
Date: Tue, 01 Nov 2005 14:55:15 -0500

On Sun, 2005-10-30 at 15:13 +0100, Jeroen van Bemmel wrote:
> Interestingly, the remote-cc-02 draft is not using it for authorization 
> purposes (yet) as seems to be the main intention formulated in the 
> target-dialog draft. Rather, it states that the Target-Dialog header MUST be 
> used "to select the appropriate dialog from which to source the request". I 
> would say that - based on the name of the header - this would be one of the 
> most obvious usages of the header, but the target-dialog draft does not 
> really discuss this aspect.

I assume that the following is  so understood that Jonathan didn't see
the need to write it down:

The primary purpose of Target-Dialog is to specify the dialog on which
the operation implied by the request is to be performed.  Target-Dialog
also has a somewhat secondary function of providing authorization, based
on the fact that Call-Ids are hard to guess.  (Somewhat like
"capability" based security systems.)

This seems to be clear from both of the examples in section 1, and also
from the name of the header.

It would seem to me to be an editorial improvement if this was mentioned
in the introduction somewhere.

Dale

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Tue, 1 Nov 2005 22:44:10 +0100

And what should be the error response code if this target dialog is not 
found?

My first thought was "481 Target dialog does not exist", but 481 is normally 
received for either Call-ID or transaction mismatch. A 481 to a REFER (with 
Target-Dialog) sent within an ongoing dialog would be ambiguous. "403 
Forbidden" would not be appropriate if TD is not used for authentication, as 
in the remote-cc draft.

----- Original Message ----- 
From: "Dale R. Worley" <[email-masked]>
To: "Sip" <[email-masked]>
Sent: Tuesday, November 01, 2005 8:55 PM
Subject: Re: [Sip] Are we done with 
draft-ietf-sip-target-dialog-02.txtandready to request publication?